<template>
    <div>
        <!--here-->
        <input type="text" v-model="shareUrl" class="form-control form-control-lg border-left-4-grey" disabled name="share">
        <button class="btn btn-outline-success btn-sm" type="button" @click.prevent="copyToClickboard">
            <svg viewBox="0 0 1200 1043.19287109375" class="svg-icon">
                <path d="M516.786.001c-89.537 0-162.129 72.592-162.129 162.129 7.674 109.36 81.439 140.505 162.947 201.74 60.609 38.348 53.186 81.093 65.404 149.847-53.95 13.664-118.616 29.877-157.011-2.764l-91.505-65.098c-.131-.108-.277-.2-.409-.307-27.968-22.935-63.775-36.745-102.764-36.745-68.543 0-127.057 42.54-150.768 102.66-3.122 12.077-5.116 12.008-15.66 11.977C29.033 523.44 0 552.472 0 588.333c0 35.859 29.033 64.893 64.893 64.893 30.988-3.452 19.907-7.164 37.461 15.967 29.63 38.81 76.376 63.869 128.966 63.869 66.145 0 122.994-39.62 148.209-96.418 28.644 16.406 53.42 22.574 86.08 27.02H1200c-90.997-165.846-316.997-140.222-465.608-154.451-30.518-75.806-37.4-175.94-108.188-226.817h-.717c32.816-29.67 53.429-72.545 53.429-120.266C678.915 72.593 606.323 0 516.786 0zm0 81.064c44.769 0 81.064 36.296 81.064 81.064s-36.296 81.064-81.064 81.064c-44.768 0-81.064-36.296-81.064-81.064s36.297-81.064 81.064-81.064zM231.32 489.867c44.768 0 81.064 36.296 81.064 81.064 0 44.768-36.296 81.064-81.064 81.064-44.768 0-81.064-36.297-81.064-81.064 0-44.768 36.297-81.064 81.064-81.064zm432.754 33.98c25.438 0 46.059 20.622 46.059 46.06 0 25.439-20.621 46.06-46.059 46.06s-46.06-20.621-46.06-46.06c.001-25.438 20.622-46.06 46.06-46.06zm3.48 222.007c62.491 126.303 105.737 281.315 263.46 297.339l-111.158-297.34H667.554zm-487.615 89.765v72.467h157.932v-72.467H179.939zm284.237 0v72.467h174.31l-33.367-72.467H464.176zm495.497 0l21.494 72.467H1139.1v-72.467H959.673z"></path>
            </svg>
            Copy Link
        </button>
    </div>
</template>
<script>
    export default {
        props: {
            shareUrl:''
        },
        methods: {
            copyToClickboard: function () {
                let textArea = document.createElement("textarea")
                let success = false
                let cssText =
                    'position:fixed;pointer-events:none;z-index:-9999;opacity:0;';
                textArea.value = this.shareUrl;
                textArea.style.cssText = cssText;

                document.body.appendChild(textArea)

                textArea.select();
                document.execCommand('copy')
                this.$notify({
                    group: 'notify',
                    type: 'success',
                    title: 'Url Copy Success',
                    text: 'The Share Url has been Copied Successfully'
                });
            }
        }
    }
</script>